<launch>
  <!-- load OMPL planning pipeline, but add the CHOMP planning adapter. -->
  <include file="$(find pr2_moveit_config)/launch/ompl_planning_pipeline.launch.xml">
    <arg name="planning_adapters" value="
      default_planner_request_adapters/FixWorkspaceBounds
      default_planner_request_adapters/FixStartStateBounds
      default_planner_request_adapters/FixStartStateCollision
      default_planner_request_adapters/FixStartStatePathConstraints
      chomp/OptimizerAdapter
      default_planner_request_adapters/AddTimeParameterization
        "
       />
       
  </include>
  <!-- load chomp config -->
  <rosparam command="load" file="$(find pr2_moveit_config)/config/chomp_planning.yaml"/>
  <!-- override trajectory_initialization_method -->
  <param name="trajectory_initialization_method" value="fillTrajectory"/>
</launch>
